vellTRDocs
API ReferencePayoutsOutstanding Payouts

Outstanding Payouts

GET/v1/payouts/outstandingOptional

Aggregate sum of in-flight (not-yet-settled) payouts, used to compute payable_now.

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/payouts/outstanding\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time (±5 min)

Response Parameters

FieldTypeExample
merchantIdstring"mrc_8a1b2c3d4e5f"
pendingMinorinteger250000
currencystring"TRY"

Response Example

JSONResponse
{
  "merchantId": "mrc_8a1b2c3d4e5f",
  "pendingMinor": 250000,
  "currency": "TRY"
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group